## scala-mode-el 1.1.1~git20241231.661337d

=== Makefile ===
############################################################-*-Makefile-*-####
# Makefile for compiling the major mode of Emacs
##############################################################################

## This Makefile has been copied from the scala project.
## See the LICENSE at the bottom of this file.

##############################################################################
# Configuration

ROOT			 = .

SOURCE_DIR		 = $(ROOT)

##############################################################################
# Variables

MODE_NAME               = scala-mode

# Emacs Lisp
ELISP_COMMAND		?= emacs
ELISP_OPTIONS		+= -batch -no-site-file -q
ELISP_OPTIONS           += -L $(ROOT)


ELISP_FILES		+= $(MODE_NAME)-lib
ELISP_FILES		+= $(MODE_NAME)
ELISP_FILES		+= $(MODE_NAME)-syntax
ELISP_FILES		+= $(MODE_NAME)-indent
ELISP_FILES		+= $(MODE_NAME)-paragraph
ELISP_FILES             += $(MODE_NAME)-prettify-symbols
ELISP_FILES             += $(MODE_NAME)-imenu
ELISP_FILES		+= $(MODE_NAME)-fontlock
ELISP_FILES		+= $(MODE_NAME)-map
ELISP_SOURCES		+= $(ELISP_FILES:%=$(SOURCE_DIR)/%.el)

PKG_FILE		+= $(SOURCE_DIR)/$(MODE_NAME)-pkg.el

##############################################################################

RM			?= rm -f
RMDIR			?= rmdir
TOUCH			?= touch

# Strip the version out of the pkg file
VERSION                 := $(shell ${ELISP_COMMAND} $(ELISP_OPTIONS) --eval '(princ (format "%s\n" (nth 2 (read (find-file "$(PKG_FILE)")))))')
MODE_NAME_VERSION       = $(MODE_NAME)-$(VERSION)

##############################################################################
# Commands

all: .latest-build

clean:
	$(RM) *.elc .latest-* autoloads.el $(MODE_NAME_VERSION).tar
	[ ! -d $(MODE_NAME_VERSION) ] || $(RM) $(MODE_NAME_VERSION)/*
	[ ! -d $(MODE_NAME_VERSION) ] || $(RMDIR) $(MODE_NAME_VERSION)

.PHONY: all
.PHONY: clean

##############################################################################
# Rules

.latest-build: $(ELISP_SOURCES)
	$(ELISP_COMMAND) $(ELISP_OPTIONS) -f batch-byte-compile $(ELISP_SOURCES)
	@$(TOUCH) $@

##############################################################################

autoloads: $(ELISP_SOURCES)
	$(ELISP_COMMAND) $(ELISP_OPTIONS) --eval "(setq make-backup-files nil)" --eval "(setq generated-autoload-file (expand-file-name \"autoloads.el\"))" -f batch-update-autoloads `pwd`

package:
	mkdir -p $(MODE_NAME_VERSION)
	cp $(ELISP_SOURCES) $(PKG_FILE) $(MODE_NAME_VERSION)
	tar cf $(MODE_NAME_VERSION).tar $(MODE_NAME_VERSION)

## SCALA LICENSE
##
## Copyright (c) 2002-2011 EPFL, Lausanne, unless otherwise specified.
## All rights reserved.
##
## This software was developed by the Programming Methods Laboratory of the
## Swiss Federal Institute of Technology (EPFL), Lausanne, Switzerland.
##
## Permission to use, copy, modify, and distribute this software in source
## or binary form for any purpose with or without fee is hereby granted,
## provided that the following conditions are met:
##
## 1. Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
##
## 2. Redistributions in binary form must reproduce the above copyright
## notice, this list of conditions and the following disclaimer in the
## documentation and/or other materials provided with the distribution.
##
## 3. Neither the name of the EPFL nor the names of its contributors
## may be used to endorse or promote products derived from this
## software without specific prior written permission.
##
##
## THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
## ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
## ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
## FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
## DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
## SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
## CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
## LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
## OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
## SUCH DAMAGE.

## scala-mode-el 1.1.0

=== debian/changelog ===
scala-mode-el (1:1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Drop myself from Uploaders.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 13 Feb 2022 12:39:40 -0500

scala-mode-el (1:1.1.0-2) unstable; urgency=medium

  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 13 Dec 2020 22:00:39 -0500

scala-mode-el (1:1.1.0-1) unstable; urgency=medium

  [ Sławomir Wójcik ]
  * Adopt package; this package is now maintained by the Debian Emacsen team.
    (Closes: #766441)
  * control: updated maintainer/uploaders, long description and dependencies
  * Updated rules to use dh_elpa, added necessary elpa and elpa-test files
  * Added watch file
  * Updated docs file
  * Added source format
  * Added NEWS file
  * Removed emacsen-install, emacsen-remove and emacsen-startup files which
    were no longer necessary due to migration to dh_elpa

  [ Sławomir Wójcik and Nicholas D Steeves]
  * New upstream version 1.1.0.
  * Migrate to debhelper-compat 13.
  * Update copyright file to reflect new upstream source, and migrate to a
    machine-readable copyright file.
  * Add gbp.conf.
  * Introduce elpa-scala-mode; scala-mode-el is now a dummy transitional
    package.
  * Set Vcs URLs to new Debian Emacsen Team location.
  * Declare Standards-Version 4.5.1.

  [ Nicholas D Steeves ]
  * Add Breaks, Replaces, and Provides to elpa-scala-mode to ensure smooth
    upgrades.
  * Add epoch to version, so that apt will upgrade existing users from
    20111005-2.1 to 1.1.0-1.
  * Declare Rules-Requires-Root: no.
  * Declare dummy transitional package scala-mode-el as Section: oldlibs so
    that deborphan will suggest its removal.
  * elpa-test: Fix autopkgtests by setting autopkgtest_keep, thus retaining
    the files that contain scala-mode's tests.
  * Add myself to Uploaders.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 06 Dec 2020 15:57:01 -0500

scala-mode-el (20111005-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch build depends from "emacs23 | emacs" to emacs.
    Thanks to Gabriele Giacone. (Closes: #754025)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 13 Sep 2014 00:01:41 +0200

scala-mode-el (20111005-2) unstable; urgency=low

  * change dependency from emacsen to emacs (Closes: 644784)

 -- Mike O'Connor <stew@debian.org>  Fri, 16 Dec 2011 12:23:00 -0500

scala-mode-el (20111005-1) unstable; urgency=low

  * Initial release.

 -- Mike O'Connor <stew@debian.org>  Wed, 05 Oct 2011 23:15:06 -0400

=== debian/control ===
Source: scala-mode-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sławomir Wójcik <valdaer@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/scala-mode-el
Vcs-Git: https://salsa.debian.org/emacsen-team/scala-mode-el.git
Homepage: https://github.com/hvesalai/emacs-scala-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-scala-mode
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Breaks: scala-mode-el (<< 1:1.1.0-1~)
Replaces: scala-mode-el (<< 1:1.1.0-1~)
Provides: scala-mode-el
Description: Emacs major mode for editing scala source code
 scala-mode provides syntax highlighting, indentation, comments/multi-line
 strings, motion commands for scala source code inside emacs. IDE like features
 are in lsp-mode which works in conjunction with this mode and has support for
 scala Metals language server.

Package: scala-mode-el
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
         elpa-scala-mode
Description: transitional dummy package, scala-mode-el to elpa-scala-mode
 This dummy package may be safely removed.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/emacs-scala-mode-$1\.tar\.gz/ \
  https://github.com/hvesalai/emacs-scala-mode/tags .*/v?(\d\S+)\.tar\.gz

## scala-mode-el 1.1.0+git20240729.bd0638c

=== debian/changelog ===
scala-mode-el (1:1.1.0+git20240729.bd0638c-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Xiyue Deng ]
  * Sync to latest upstream head (bd0638c) which adds support for scala
    3 syntax.
  * Modernize d/watch using substitute strings for robust version
    matching.
  * Add more metadata in d/upstream/metadata.
  * Add myself to uploader list.
  * Update Standards-Version to 4.7.0; no change needed.
  * Drop emacs version from oldoldstable in Recommends.

  [ Nicholas D Steeves and Xiyue Deng ]
  * Add Upstream-Contact.

  [ Jeremy Sowden ]
  * d/rules: pass upstream version to dh_auto_clean to avoid the need to
    use Emacs to retrieve it from the missing scala-mode-pkg.el file.
    (Closes: #1052917)
  * d/rules: enable `DH_VERBOSE` unless "terse" build-option is in use
  * d/.gitignore: ignore packaging and editor artefacts

 -- Jeremy Sowden <azazel@debian.org>  Fri, 27 Sep 2024 18:32:02 +0100

scala-mode-el (1:1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:12:38 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sławomir Wójcik <valdaer@gmail.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/scala-mode-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/scala-mode-el.git
 Homepage: https://github.com/hvesalai/emacs-scala-mode
@@ -16,7 +17,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Breaks: scala-mode-el (<< 1:1.1.0-1~)
 Replaces: scala-mode-el (<< 1:1.1.0-1~)

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/hvesalai/emacs-scala-mode/tags \
  (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## scala-mode-el 1.1.1~git20241231.661337d

=== debian/changelog ===
scala-mode-el (1:1.1.1~git20241231.661337d-2) unstable; urgency=medium

  * Drop transitional package scala-mode-el (Closes: #1038309)
    - This has existed for the past 2 stable releases.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:37:30 -0800

scala-mode-el (1:1.1.1~git20241231.661337d-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (661337d)
  * Add Salsa CI configuration
  * Drop "autopkgtest_keep = test/*" from d/elpa-test which is now the
    default
  * Update d/watch to track snapshots
  * Update upstream-tag style in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 05 Jan 2025 00:22:14 -0800

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,3 @@
  strings, motion commands for scala source code inside emacs. IDE like features
  are in lsp-mode which works in conjunction with this mode and has support for
  scala Metals language server.
-
-Package: scala-mode-el
-Section: oldlibs
-Architecture: all
-Depends: ${misc:Depends},
-         elpa-scala-mode
-Description: transitional dummy package, scala-mode-el to elpa-scala-mode
- This dummy package may be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif

include /usr/share/dpkg/pkg-info.mk

# Drop potential incremental git snapshot info to get the base upstream version.
BASE_UPSTREAM_VERSION = $(word 1,$(subst +git, ,$(DEB_VERSION_UPSTREAM)))

%:
	dh $@ --with elpa

override_dh_auto_clean:
	dh_auto_clean -- ELISP_COMMAND=: VERSION=$(BASE_UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.1.1~git%cd.%h" \
  https://github.com/hvesalai/emacs-scala-mode \
  HEAD debian uupdate

## scala-mode-el 1.1.1~git20260118.50bcafa

=== debian/changelog ===
scala-mode-el (1:1.1.1~git20260118.50bcafa-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (50bcafa)
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Requires-Root: no'; now default
  * Drop `Priority: optional'; now default
  * Migrate d/watch to version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 24 Jan 2026 19:44:29 -0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: scala-mode-el
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sławomir Wójcik <valdaer@gmail.com>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/emacsen-team/scala-mode-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/scala-mode-el.git
 Homepage: https://github.com/hvesalai/emacs-scala-mode

=== debian/watch ===
Version: 5

Source: https://github.com/hvesalai/emacs-scala-mode
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.1.1~git%cd.%h

## scala-mode-el 20111005

=== Makefile ===
############################################################-*-Makefile-*-####
# Makefile for compiling the major mode of Emacs
##############################################################################

##############################################################################
# Configuration

ROOT			 = .

SOURCE_DIR		 = $(ROOT)

##############################################################################
# Variables

# Emacs Lisp
ELISP_COMMAND		?= emacs
ELISP_OPTIONS		+= -batch -no-site-file
ELISP_OPTIONS           += -L $(ROOT) 
ELISP_OPTIONS		+= -f batch-byte-compile


ELISP_FILES		+= scala-mode
ELISP_FILES		+= scala-mode-auto
ELISP_FILES		+= scala-mode-inf
ELISP_FILES		+= scala-mode-indent
ELISP_FILES		+= scala-mode-navigation
ELISP_FILES		+= scala-mode-lib
ELISP_FILES		+= scala-mode-ui
ELISP_FILES		+= scala-mode-fontlock
ELISP_FILES		+= scala-mode-constants
ELISP_FILES		+= scala-mode-feature
ELISP_FILES		+= scala-mode-feature-electric
ELISP_FILES		+= scala-mode-feature-speedbar
ELISP_FILES		+= scala-mode-feature-tags

ELISP_SOURCES		+= $(ELISP_FILES:%=$(SOURCE_DIR)/%.el)

##############################################################################

RM			?= rm -f
TOUCH			?= touch

##############################################################################
# Commands

all: .latest-build

clean:
	$(RM) *.elc .latest-* autoloads.el

.PHONY: all
.PHONY: clean

##############################################################################
# Rules

.latest-build: $(ELISP_SOURCES)
	$(ELISP_COMMAND) $(ELISP_OPTIONS) $(ELISP_SOURCES)
	@$(TOUCH) $@

##############################################################################

autoloads: $(ELISP_SOURCES)
	emacs -batch -q --no-site-file --eval "(setq make-backup-files nil)" --eval "(setq generated-autoload-file (expand-file-name \"autoloads.el\"))" -f batch-update-autoloads `pwd`
